#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF1,0xEE,0xAD,0x63,0x76,0x6D,0xC3,0x02,0x0F,0xEC,0x8C,0x1C,
		0x9C,0xE2,0x28,0x63,0x1C,0x80,0x7C,0x87,0x68,0xDD,0xF5,0x72,
		0xC5,0xCD,0xA6,0x52,0x94,0x14,0x88,0xE8,0xF3,0xC2,0x64,0x30,
		0xB9,0xBF,0x78,0xEC,0x15,0xC6,0x9B,0xFC,0x30,0x26,0x55,0x62,
		0x77,0xD9,0xDE,0x5B,0xBE,0xDC,0xDD,0x7E,0x0F,0x41,0xC4,0x6B,
		0x5E,0x45,0x15,0x63,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
